/*----------------------------------------------------------------------+
|									|
|  Copyright (1993-95) Bentley Systems, Inc., All rights reserved.     	|
|									|
|  "MicroStation" is a registered trademark and "MDL" and "MicroCSL"	|
|  are trademarks of Bentley Systems, Inc.			    	|
|									|
|  Limited permission is hereby granted to reproduce and modify this	|
|  copyrighted material provided that the resulting code is used only 	|
|  in conjunction with Bentley Systems products under the terms of the	|
|  license agreement provided therein, and that this notice is retained	|
|  in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|    $Logfile:   J:/mdl/examples/listfile/listfile.r_v  $
|   $Workfile:   listfile.r  $
|   $Revision:   5.3  $
|   	$Date:   29 Jun 1995 17:42:00  $
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Function -								|
|									|
|	List File Example dialog box resource				|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Include Files   							|
|									|
+----------------------------------------------------------------------*/
#include <dlogbox.h>
#include <dlogids.h>

#include "listfids.h"
#include "lfiletxt.h"

/*----------------------------------------------------------------------+
|									|
|   Local Defines       						|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Text File Display Dialog Box					|
|									|
+----------------------------------------------------------------------*/

#define DW (96*XC) /* 86 characters wide */
#define DH (29*YC) /* 29 lines long      */

#define X0	(XC/2)			/* List Box X */
#define Y0 	(YC/4)			/* Menu Bar Y */
#define Y1   (Y0+(1.25*YC))		/* List Box Y */

DialogBoxRsc DIALOGID_Listfile = 
    {
    DIALOGATTR_DEFAULT,
    DW, DH, 
    NOHELP, MHELP, NOHOOK, NOPARENTID, 
    TXT_MDLExampleFileDisplayer,
{
    {{ 0, Y0, 0, 0}, MenuBar,	MENUBARID_Listfile,  ON, 0, "", ""}, 
    {{ 0, Y1, 0, 0}, ListBox,	LISTBOXID_FileContents, ON, 0, "", ""}, 
}
    };
    
/*----------------------------------------------------------------------+
|									|
|     Menubar Item							|
|									|
+----------------------------------------------------------------------*/
DItem_MenuBarRsc MENUBARID_Listfile =
    {
    NOHOOK, NOARG,
	{
	{PulldownMenu, PULLDOWNMENUID_ListfileFileOpen},
	}
    };

DItem_PulldownMenuRsc PULLDOWNMENUID_ListfileFileOpen =
    {
    NOHELP, OHELPTASKIDCMD, NOHOOK, ON | ALIGN_LEFT, TXT_File,
{       
{TXT_Open,  NOACCEL, ON, NOMARK, 0, NOSUBMENU, NOHELP, OHELPTASKIDCMD, 
	    HOOKITEMID_MenuItem_FileOpen, NOARG, NOCMD, OTASKID, ""},
}
    };			    

/*----------------------------------------------------------------------+
|									|
|  ListBox Resources							|
|									|
+----------------------------------------------------------------------*/
DItem_ListBoxRsc LISTBOXID_FileContents = 
    {
    NOHELP, MHELP, HOOKITEMID_ListBox_FileContents, NOARG, 
    LISTATTR_NEVERSELECTION | LISTATTR_NOKEYSEARCH | LISTATTR_FIXEDFONT,
    24, 0, "",
	{
	{90*XC, 80, 0, ""},
	}
    };

